Skip to main content
`Ctrl`+`K`

# BVCreate

Creates a basis vectors context.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVCreate(MPI_Comm comm,BV *newbv)

Collective

## Input Parameter

- comm - MPI communicator

## Output Parameter

- newbv - location to put the basis vectors context

## Note

A basis vectors object of type `BVTENSOR` should be created using the helper function `BVCreateTensor()` instead of this one.

## See Also

BV: Basis Vectors, `BV`, `BVDuplicate()`, `BVDestroy()`, `BVCreateTensor()`, `BVCreateFromMat()`

## Level

beginner

## Location

src/sys/classes/bv/interface/bvfunc.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages